List Secrets
curl --request GET \
--url https://api.primeintellect.ai/api/v1/secrets/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/secrets/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/secrets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"isFile": false,
"userId": "<string>",
"teamId": "<string>"
}
],
"total_count": 0,
"offset": 0,
"limit": 100,
"status": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Secrets
List Secrets
List global secrets for the authenticated user or a team.
If teamId is provided, returns secrets for that team (requires team membership). Otherwise, returns the user’s personal secrets.
GET
/
api
/
v1
/
secrets
/
List Secrets
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by team ID
Response
Successful Response
Show child attributes
Show child attributes
Total number of items available in the dataset
Number of items to skip before starting to collect the result set
Required range:
x >= 0Maximum number of items to return
Required range:
x >= 0Response status
Was this page helpful?